import { Component } from 'react';
import { BadgeProps as NextBadgeProps } from '@alifd/next/types/badge';
interface BadgeAddProps {
    size?: 'medium' | 'small';
    status?: 'success' | 'warning' | 'error';
}
interface BadgeProps extends NextBadgeProps, BadgeAddProps {
}
declare class Badge extends Component<BadgeProps> {
    render(): JSX.Element;
}
declare const _default: typeof Badge;
export default _default;
